ВНИМАНИЕ! ОСТЕРЕГАЙТЕСЬ МОШЕННИКОВ!
Помните, что все браузеры Opera АБСОЛЮТНО БЕСПЛАТНЫ.
Загружайте новые версии ТОЛЬКО С ОФИЦИАЛЬНОГО САЙТА или с ресурсов, которым ДОВЕРЯЕТЕ!


Предыдущее | Следующее | Архив форума | myOpera.net | Поиск
Шрифты jones  04/06/09 08:08 PM

Касательно настройки- я тупо не понимаю, что значат отдельные элементы списка!
Я открываю текстовый (!!) файл в Опере, меняю настройку для "Обычный текст веб-страницы" и- ничего не происходит. После этого возникает вопрос адекватности русских языковых файлов Если текстовый документ- это не обычный текст, то что же это??
Давайте тогда FAQ по терминам "Элементы страницы"...

Далее, это же ветка про аним... тьфу, про линуксовые версии? Тогда- какого фига я вообще что-то делать через гуй?? Почему бы не выложить уже готовый приемлемый конфиг шрифтов для opera6.ini? Виндовый у меня есть, но шрифты без сглаживания (виндовые тахомы, верданы и пр.) на фиг не нужны- зато почти у всех есть классные шрифты DejaVu...

Re: Шрифты iNDiAnFLy  04/07/09 02:27 AM

не путай обычный текст (text/plain) с гипертекстом AKA разметкой (text/html)

"обычный текст", это текст не заключёный в теги вроде <h1> или например <tt>
для текстовых документов открытых в опере есть настройка "преформатированный текст" (или как-то так), тоесть текст который не имеет разметки тегами, но который требуется отобразить с пробелами и переносами...
выбирай, меняй - у меня всё превосходно работает

как ты себе представляешь "приемлемый конфиг шрифтов для opera6.ini"?
для юбунтнутых мышкоелозетелей это возможно и будет приемлимо,
но как быть с остальными?
есть какой-то конфиг состряпаный в качестве примера, по нему и настраивайся под свои шрифты, подогнать конфиг под все дистры или под какой-то усреднённый набор шрифтов в линуксе не реально.

Re: Шрифты jones  04/07/09 04:38 AM

короче, "обычный текст"- это неизвестно что
Дык я не сомневаюсь, что работает- я просто заипался кликать мышой в настройках шрифтов.

Я- не юбунтоид, у меня Suse, но будь даже Федора- это было бы то же самое. Я представляю это так: есть скрипт, который грузит мелкософтные шрифты | пишем другой скрипт, который грузит не мелкософтные шрифты и слегка правит opera6.ini- и усе! но у меня нет приемлемого конфига, а составлять его... дык я ща на лисе работаю...

Re: Шрифты iNDiAnFLy  04/07/09 04:57 AM

"обычный текст" это текст который не помечен разметкой подразумевающей какое-то особое начертание шрифта,
тоесть например <p> или текст в ячейке таблицы и пр.,
но только в том случае если автором документа не указан явно иной шрифт в оформлении.


неправильно ты себе представляешь =)
что это за скрипт такой будет?
он должен предугадывать твои предпочтения?
а если в системе тонна шрифтов и используюутся всего 2-3 набора,
остальные даже в иксы не подгружаются
-- как скрипт будет выбирать шрифты для оперного конфига?
по какому принципу?
наверняка у тебя есть в системе шрифт которго нет у меня,
и наоборот - у меня куча шрифтов которых просто не может быть в сусе или федоре...

вендовые шрифты откуда должны взяться?
а "не вендовые" это какие именно?

Re: Шрифты jones  04/07/09 05:32 AM

вендовые- к примеру так:

#!/bin/sh

EULA="http://corefonts.sourceforge.net/eula.htm"

FONTS=" \
dl.sourceforge.net/sourceforge/corefonts/andale32.exe \
dl.sourceforge.net/sourceforge/corefonts/arial32.exe \
dl.sourceforge.net/sourceforge/corefonts/arialb32.exe \
dl.sourceforge.net/sourceforge/corefonts/comic32.exe \
dl.sourceforge.net/sourceforge/corefonts/courie32.exe \
dl.sourceforge.net/sourceforge/corefonts/georgi32.exe \
dl.sourceforge.net/sourceforge/corefonts/impact32.exe \
dl.sourceforge.net/sourceforge/corefonts/times32.exe \
dl.sourceforge.net/sourceforge/corefonts/trebuc32.exe \
dl.sourceforge.net/sourceforge/corefonts/verdan32.exe \
dl.sourceforge.net/sourceforge/corefonts/webdin32.exe \
"

SERVER=" \
switch \
mesh \
jaist \
kent \
nchc \
heanet \
easynews \
optusnet \
"

CURL_OPTIONS="-s --speed-limit 3500 --speed-time 15"

if [ "`id -u`" != "0" ]; then
echo "error: You must be root to use this program!"
exit 1
fi

if [ ! -x /usr/bin/cabextract ]; then
echo "error: cabextract missing! Please install package cabextract first."
exit 2
fi

. /etc/sysconfig/proxy

if test "$PROXY_ENABLED" != "no"; then
if test -n "$HTTP_PROXY" ; then
export http_proxy="$HTTP_PROXY"
fi
fi

if [ -z $http_proxy ]; then
echo
echo "note: No proxy is used. Please set the environment variable \"http_proxy\""
echo "note: to your favorite proxy, if you want to use a proxy for the download."
echo "note:"
echo "note: bash: export http_proxy=\"http://proxy.example.com:3128/\""
echo "note: tcsh: setenv http_proxy \"http://proxy.example.com:3128/\""
fi

echo "EULA:"
mkdir -p /usr/share/doc/corefonts
echo -n " Fetching ... "
curl $CURL_OPTIONS -o /usr/share/doc/corefonts/EULA.html $EULA || \
rm -f /usr/share/doc/corefonts/EULA.html
echo "done"

tmpname=`basename $0`
tmpdir=`mktemp -d /tmp/$tmpname.XXXXXX`
trap "rm -rf $tmpdir" EXIT
if [ $? -ne 0 ]; then
echo "$0: Can't create temp dir, exiting..."
exit 4
fi

pushd $tmpdir &> /dev/null

echo
echo "Trying to find the fastest server:"
besttime=1000

for server in $SERVER; do
echo -n " $server ... "
start=$SECONDS
curl $CURL_OPTIONS --connect-timeout 10 -o cabextract.rpm \
_//$server.dl.sourceforge.net/sourceforge/corefonts/cabextract-0.5-1.i386.rpm_
if [ $? -ne 0 ]; then
echo "too slow (aborted)"
continue
fi
stop=$SECONDS
time=$((stop - start))
echo "$time sec"
if [ $time -lt $besttime ]; then
besttime=$time
useserver=$server
fi
done

rm -f cabextract.rpm
if [ -n "$useserver" ]; then
echo "The winner is: >> $useserver <<"
echo
else
echo "Connection too slow or no server available. Aborting ... "
exit 5
fi

for font in $FONTS; do
for i in $useserver $SERVER; do
archive=http://$i.$font
file=`echo $archive|awk -F "/" '{print $NF}'`
rm -f $file
echo "$file ($archive):"
echo -n " Fetching ... "
curl $CURL_OPTIONS -o $file $archive
if [ $? -ne 0 ]; then
rm -f $file
echo "failed ... deleted!"
continue
fi
echo done
echo -n " Extracting ... "
cabextract -l $file &> /dev/null
if [ $? -ne 0 ]; then
rm -f $file
echo "failed ... deleted!"
else
cabextract $file &> /dev/null
echo "done"
success=true
break
fi
rm -f $file
done
done

if [ "x$success" != "x" ]; then
for i in *.[Tt][Tt][CFcf]; do
lower=`echo $i|tr [:upper:] [:lower:]`
test "$i" != "$lower" && mv $i $lower
done
chmod 644 *.tt[cf]
# impact.ttf already in agfa-fonts package
test -s /usr/share/fonts/truetype/impact.ttf && rm impact.ttf
mv -f *.tt[cf] /usr/share/fonts/truetype
/usr/sbin/fonts-config
echo "*** Fonts installed. ***"
else
echo "*** No Fonts installed. ***"
fi

popd &> /dev/null

я думаю что все прочие можно так же грузить. [?]

Но фиг с ним. Может добрые люди просто выложат пару приемлемых конфигов? Т.е. кусков opera6.ini
[Fonts]
...
и [CSS Generic Font Family]
...

Re: Шрифты iNDiAnFLy  04/07/09 11:20 PM

ты так ничего и не понял =)

с чего ты взял, что шрифты определённые в таком скрипте понравятся мне или кому то ещё?

зачем кому то нужен скрипт подгружающий скопом шрифты,
если они возможно вообще не нужны в данной системе,
или же наоборот уже установлены?

от мелкомягких заразился этой дрянью?
пусть каждый сам решает какие шрифты ставить и как настраивать свой браузер!

да и corefonts ставятся куда проще,
в Gentoo например это будет так: emerge corefonts
и не нужно изобретать велосипед, если уже есть самолёт!

Re: Шрифты jones  04/08/09 12:03 AM

Ты тоже: шрифты из скрипта- это унылое гамно. Но требуется настроить браузер так, чтобы он отображал сайт максимально близко к замыслу автора. Дефолтный конфиг шрифтов оперы ужасен. Как-нить найду время, разберусь (с FF все значительно проще в настройке шрифтов).

Re: Шрифты iNDiAnFLy  04/08/09 02:44 AM

В ответ на:
Ты тоже: шрифты из скрипта- это унылое гамно.

сам то понял что написал?

какой дистр ты используешь?
посмотри в репозитарии пакет corefonts
Code:
cat /usr/portage/media-fonts/corefonts-1-r4.ebuild


Code:
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-fonts/corefonts/corefonts-1-r4.ebuild,v 1.6 2008/06/16 03:45:57 josejx Exp $

inherit font

DESCRIPTION="Microsoft's TrueType core fonts"
HOMEPAGE="http://corefonts.sourceforge.net/"
SRC_URI="mirror://sourceforge/corefonts/andale32.exe
mirror://sourceforge/corefonts/arial32.exe
mirror://sourceforge/corefonts/arialb32.exe
mirror://sourceforge/corefonts/comic32.exe
mirror://sourceforge/corefonts/courie32.exe
mirror://sourceforge/corefonts/georgi32.exe
mirror://sourceforge/corefonts/impact32.exe
mirror://sourceforge/corefonts/times32.exe
mirror://sourceforge/corefonts/trebuc32.exe
mirror://sourceforge/corefonts/verdan32.exe
mirror://sourceforge/corefonts/webdin32.exe"

LICENSE="MSttfEULA"
SLOT="0"
KEYWORDS="alpha amd64 arm ~hppa ia64 ~mips ppc ppc64 s390 sh sparc x86 ~x86-fbsd"
IUSE="X"

DEPEND="app-arch/cabextract"
RDEPEND=""

S=${WORKDIR}
FONT_S=${WORKDIR}
FONT_SUFFIX="ttf"

src_unpack() {
for exe in ${A} ; do
echo ">>> Unpacking ${exe} to ${WORKDIR}"
cabextract --lowercase ${DISTDIR}/${exe} > /dev/null \
|| die "failed to unpack ${exe}"
done
}



настроить для максимально близкого отображения к замыслу автора не получится - всё относительно

в оформлении автор указывает какие шрифты использовать для отображения,
но откуда тебе знать какие именно шрифты на компьютере автора соответствуют указанному семейству,
а автор может лишь предпологать какой именно шрифт будет выбран ПА на стороне пользователя при отсутствии того или иного шрифта.

автор возможно использует превосходно настроенный линукс или макось с отличными шрифтами, подобранным и тонко настроенным "сглаживанием и замыливанием", всё может быть просто идеально и во всём этом шоколаде любой шрифт будет смотреться достойно,
но вот на строне пользователя может быть венда с ужасными шрифтами и отключенным сглаживанием...
но ведь и наоборот бывает =)

так что настраивай свою оперу и оставь попытки всех вылечить,
тут и без того каждый второй доктор

Re: Шрифты Ilya  04/08/09 02:45 AM

"Дефолтный конфиг шрифтов оперы ужасен."

Чем он ужасен?

Что стоит в системе - то и цепляет при установке браузера.

Re: Шрифты iNDiAnFLy  04/08/09 02:48 AM

В ответ на:
Что стоит в системе - то и цепляет при установке браузера.
правда чтоли? я даже и не обращал внимания =))
нужно будет проверить =))
а цепляет по какому принципу?
из путей в xorg.conf или рекурсивно прогуливается по каталогу /usr/share/fonts/ ?

Re: Шрифты Ilya  04/08/09 07:00 AM

А вот не знаю. Я просто в SUSE всегда после установки системы сразу импортирую шрифты MS, потом ставлю Opera и всё нормально кажет. Максимум - меняю шрифт для почтовых сообщений.

Re: Шрифты jones  04/08/09 09:49 AM

Ладно, ладно. Расклад такой:
1. вот я не люблю шрифты M$, что уж тут поделать.
2. Речь шла о том, что в Опере очень-много-настроек-для-шрифтов-по-сравнению-с-лисом а я (и просто тру-линуксойд) не-привык-тратить-столько-времени-в-гуях-для-настройки а, напротив, привык-править-текстовые-конфиги.
3. Так вот, в случае Оперы это оказывается не очень удобно.
4. Стало быть возникает желание автоматизировать все это скриптом!
Как нибудь совершу второй подход к штанге

Re: Шрифты Kent  06/03/09 01:30 AM

Джентльмены, а можно ли как-то исключить некоторые шрифты из использования Оперой?

К примеру, на сайте _//lists.opensuse.org_, в сообщениях, используется шрифт из _//lists.opensuse.org/skins/lists.css_, Helvetica [Adobe].
Code:
#mail .body { 
width: 49em;
padding: 1em 0 0 1em;
background-color: #e3e3e3;
font-family: Helvetica, Courier, sans-serif;
}


Выглядит очень плохо. И в других местах такое встречается.

В итоге, как отключить растровые шрифты?

Re: Шрифты iNDiAnFLy  06/03/09 09:13 AM

ну для начала вообще исключить этот шрифт из своего линукса,
либо не только сам шрифт, а вообще удалить все растровые шрифты,
опера сама заменит его наиболее похожим из этого семейства...

можно просто подключить USER-CSS для данного сайта,
заменив шрифт...

Re: Шрифты Kent  06/03/09 05:17 PM

Удалять не хочется. css подключил, естественно. Но каждый раз так делать напрягает.
FF и Konqueror показывают нормальным шрифтом. Почему так?

Re: Шрифты iNDiAnFLy  06/03/09 07:44 PM

у них в настройках прописан другой шрифт для этого семейства.
ковыряй настройки на предмет нежелательного шрифта и исправляй

Re: Шрифты Kent  06/04/09 06:46 PM

Какие именно настройки? Везде прописаны только векторные шрифты.

Re: Шрифты iNDiAnFLy  06/04/09 07:01 PM

а где прописаны?
из xorg.conf что подгружается?
в настройках оперы у тебя что?

и посмотри что у тебя в глобальных настроечках шрифтов в /etc/fonts/

Re: Шрифты Kent  06/05/09 10:19 AM

В Опере, в Tools - Preferences - Advanced - Fonts, только векторные шрифты.

Из xorg.conf:
Code:
    FontPath 	"/usr/share/fonts/truetype"
FontPath "/usr/share/fonts/Speedo"
FontPath "/usr/share/fonts/75dpi:unscaled"
FontPath "/usr/share/fonts/uni:unscaled"
FontPath "/usr/share/fonts/misc:unscaled"
FontPath "/usr/share/fonts/URW"
FontPath "/opt/kde3/share/fonts"
FontPath "/usr/local/share/fonts"


Я не хочу рассматривать это как системную проблему, т. к. с другими браузерами всё нормально.

Re: Шрифты iNDiAnFLy  06/05/09 12:36 PM

другие браузеры возможно использую иной способ подбора шрифтов.

поотключай поочерёдно из xorg.conf шрифты,
внимательно посмотри на настройки шрифтов оперы не через меню, а в конфигах...


Re: Шрифты Kent  06/05/09 03:07 PM

В ответ на:
поотключай поочерёдно из xorg.conf шрифты

Пипец... Из-за одной единственной программы мне корёжить всю систему?

Но, вроде, нашёл.
Поставил в opera.ini Enable Core X Fonts=0

Re: Шрифты iNDiAnFLy  06/05/09 08:27 PM

что значит корёжить?
страшного в отключении или подключении шрифтов ничего нет,
я достатчоно часто меняю приоритеты шрифтов,
отключаю или подключаю новые,
изменяю правила отрисовки...

ковыряния xorg.conf помогли бы выяснить откуда именно берётся "неугодный" шрифт и перенести строку с путём до его каталога ниже,
тем самым изменив приоритет выбора шрифтов

Re: Шрифты Kent  06/06/09 10:38 AM

Тут был конкретный выбор Оперы, независимо от приоритета в xorg.conf.

Собственно, поиск в итернете по фразе "Enable Core X Fonts" всё объясняет. Чисто оперная болезнь.

В любом случае, спасибо за наводку на конфиги.

Re: Шрифты SergeAG  12/12/09 06:08 PM

Подскажите пожалуйста, как сделать, чтобы опера не использовала шрифты, установленные на сайтах? В фаерфоксе есть галочка "не использовать шрифты сайта или запретить использование шрифтов с сайта". У меня мандрива. Шрифты мс установлены. В настройках выставлены мс шрифты. На многих сайтах используется вердана (так я поставил), но на линуксячьих сайтах, форумах, испольуется корявый санс. Как запретить использование всех линуксячьих шрифтов?:-)


Re: Шрифты Kent  12/13/09 01:45 AM

В ответ на:
Как запретить использование всех линуксячьих шрифтов?

Вернись в виндоз.

P. S. Шрифты мс не установлены. Не жалуюсь.


Re: Шрифты Turbid  12/16/09 01:17 PM

Вообще странно, в KDE у меня настроено по умолчанию Dejavu, и Firefox в частности его и использует. Opera же изначально ставит Nimbus

Re: Шрифты Kent  12/17/09 05:36 PM

Применяем патч:

opera-default-fonts.patch

Code:
--- etc/operaprefs_default.ini
+++ etc/operaprefs_default.ini
@@ -3,6 +3,33 @@

[User Prefs]
Force DPI=96
+
+[Fonts]
+EmailCompose=12,4,0,0,0,0,DejaVu Sans [unknown]
+Email=12,4,0,0,0,0,DejaVu Sans [unknown]
+Menu=11,4,0,0,0,0,DejaVu Sans [unknown]
+Toolbar=11,4,0,0,0,0,DejaVu Sans [unknown]
+Dialog=11,4,0,0,0,0,DejaVu Sans [unknown]
+Panel=11,4,0,0,0,0,DejaVu Sans [unknown]
+Tooltip=11,4,0,0,0,0,DejaVu Sans [unknown]
+Normal=13,4,0,0,0,0,DejaVu Sans [unknown]
+PRE=13,4,0,0,0,0,DejaVu Sans Mono [unknown]
+Form.Text=12,4,0,0,0,0,DejaVu Sans Mono [unknown]
+Form.Input=12,4,0,0,0,0,DejaVu Sans Mono [unknown]
+Form.Button=11,4,0,0,0,0,DejaVu Sans [unknown]
+H1=32,7,0,0,0,0,DejaVu Serif [unknown]
+H2=24,7,0,0,0,0,DejaVu Serif [unknown]
+H3=18,7,0,0,0,0,DejaVu Serif [unknown]
+H4=16,7,0,0,0,0,DejaVu Serif [unknown]
+H5=13,7,0,0,0,0,DejaVu Serif [unknown]
+H6=12,7,0,0,0,0,DejaVu Serif [unknown]
+
+[CSS Generic Font Family]
+Serif=DejaVu Serif [unknown]
+Sans-Serif=DejaVu Sans [unknown]
+Monospace=DejaVu Sans Mono [unknown]
+Fantasy=URW Chancery L [urw]
+Cursive=Nimbus Sans L [urw]

[Auto Update]
Package Type=tar



Я, правда, Lideration Sans использую.


MyOpera.net - Home


Rambler's Top100